Loading...
Searching...
No Matches
pipeLink.h File Reference

Go to the source code of this file.

## Functions

si_link_extension | slInitPipeExtension (si_link_extension s)

## Function Documentation

## slInitPipeExtension()

si_link_extension slInitPipeExtension | ( | si_link_extension | s | ) |

Definition at line 225 of file pipeLink.cc.

{
s->Open=pipeOpen;
s->Close=pipeClose;
s->Kill=pipeKill;
s->Read=pipeRead1;
s->Read2=(slRead2Proc)NULL;
s->Write=pipeWrite;
s->Status=slStatusPipe;
s->type="pipe";
return s;
}
s
const CanonicalForm int s
Definition facAbsFact.cc:51
NULL
#define NULL
Definition omList.c:12
slStatusPipe
static const char * slStatusPipe(si_link l, const char *request)
Definition pipeLink.cc:183
pipeOpen
static BOOLEAN pipeOpen(si_link l, short, leftv)
Definition pipeLink.cc:36
pipeKill
static BOOLEAN pipeKill(si_link l)
Definition pipeLink.cc:125
pipeRead1
static leftv pipeRead1(si_link l)
Definition pipeLink.cc:138
pipeClose
static BOOLEAN pipeClose(si_link l)
Definition pipeLink.cc:95
pipeWrite
static BOOLEAN pipeWrite(si_link l, leftv data)
Definition pipeLink.cc:153
slRead2Proc
leftv(* slRead2Proc)(si_link l, leftv a)
Definition silink.h:30